pulp_auth under hammer ping cmd throwing undefined method error

06/13/2014 01:10 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102521 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102521

Description of problem:

Installed new sat6 snap7 compose2 (Satellite/Satellite-6.0.3-RHEL-6-20140528.4)

After installation, I got error reported in bz:#1099933.

But when I checked the status with hammer ping command, found pulp-auth is throwing undefined method error:

[root@dhcp201-185 ~]# hammer ping

candlepin:

Status:          ok

Server Response: Duration: 96ms

candlepin_auth:

Status:          ok

Server Response: Duration: 32ms

pulp:

Status:          ok

Server Response: Duration: 268ms

pulp_auth:

Status:          FAIL

Server Response: Message: undefined method `resources' for nil:NilClass

elasticsearch:

Status:          ok

Server Response: Duration: 88ms

katello_jobs:

Status:          ok

Server Response: Duration: 30ms

Version-Release number of selected component (if applicable):

sat6 snap7 compose2 (Satellite/Satellite-6.0.3-RHEL-6-20140528.4)

How reproducible:

always

Steps to Reproduce:

1. install new build as pointed above

2. run hammer ping cmd after katello-installer

3.

Actual results:

pulp_auth:

Status:          FAIL

Server Response: Message: undefined method `resources' for nil:NilClass

Expected results:

Status for All services should be 'ok'
Additional info:

Related issues:

Has duplicate Katello - Bug #5840: Getting a pulp_auth error from the API pin... Duplicate 05/20/2014

Associated revisions

Revision 4e31fda9 - 06/16/2014 01:28 PM - David Davis

Fixes #6211,BZ1102521 - Requiring a user to ping pulp_auth

It looks like the code didn't properly set User.current so Katello.pulp_server

was nil. This code checks for a user in the controller. Also, it handles the

case of no user by skipping the pulp_auth check which needs remote_id from a

user.

Revision 9510426b - 06/17/2014 11:43 AM - David Davis

Merge pull request #4265 from daviddavis/temp/20140613091921

Fixes #6211,BZ1102521 - Use hidden user's remote id to ping pulp_auth

History

#1 - 06/13/2014 04:21 PM - David Davis

- Has duplicate Bug #5840: Getting a pulp_auth error from the API ping action added

#2 - 06/17/2014 11:54 AM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:4e31fda91c136d2754bb8f5256507ae348d49576.

#3 - 06/17/2014 12:36 PM - Eric Helms

- Target version set to 48

- Triaged set to Yes

#4 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
